import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { MTLAttributeFormat } from "./MTLAttributeFormat.js";
export declare class _MTLAttributeDescriptor extends _NSObject {
    static alloc(): _MTLAttributeDescriptor;
    static new(): _MTLAttributeDescriptor;
    init(): _MTLAttributeDescriptor;
    format(): MTLAttributeFormat;
    setFormat$(value: MTLAttributeFormat): void;
    offset(): number;
    setOffset$(value: number): void;
    bufferIndex(): number;
    setBufferIndex$(value: number): void;
}
export interface _MTLAttributeDescriptor extends _NSCopying {
}
